- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# schroot::main Class Reference

Frontend for schroot. More...

`#include <schroot-main.h>`

Inheritance diagram for schroot::main:

[legend]
Collaboration diagram for schroot::main:

[legend]
List of all members.

## Public Member Functions
| main (options_base::ptr &options)
| The constructor.
virtual | ~main ()
| The destructor.
virtual void | action_list ()
| List chroots.
virtual void | action_config ()
| Dump configuration file for chroots.
## Protected Member Functions
virtual void | create_session (sbuild::session::operation sess_op)
| Create a session.

## Detailed Description

Frontend for schroot.

This class is used to "run" schroot.

## Constructor & Destructor Documentation

main::main | ( | options_base::ptr & | options | ) |

The constructor.

Parameters:

  | options | the command-line options to use.

main::~main | ( |  | ) | `[virtual]`

The destructor.

Reimplemented from schroot_base::main.

## Member Function Documentation

void main::action_config | ( |  | ) | `[virtual]`

Dump configuration file for chroots.

Implements schroot::main_base.

void main::action_list | ( |  | ) | `[virtual]`

List chroots.

Implements schroot::main_base.

void main::create_session | ( | sbuild::session::operation | sess_op | ) | `[protected, virtual]`

Create a session.

This sets the session member.

Parameters:

  | sess_op | the session operation to perform.

Implements schroot::main_base.

The documentation for this class was generated from the following files:

- schroot/schroot-main.h
- schroot/schroot-main.cc